
QGIS Application - Bug report #3663

GDALTools: clipper should act on selected layer only, not all

2011-03-22 08:22 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee: Giuseppe Sucameli

Category: GDAL Tools

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 13722

Description

Currently, the clipper tool tries to clip all loaded layers (including vectors), thus resulting in an error. Only the selected layer should be

clipped.

History

#1 - 2011-03-22 08:26 AM - Giuseppe Sucameli

- Status changed from Open to Closed

- Resolution set to invalid

I'm sure I fixed it yesterday evening.

Please update QGis at least at commit:351703b2 (SVN r15557) and try again.

#2 - 2011-03-23 12:24 AM - Paolo Cavallini

- Resolution deleted (invalid)

- Status changed from Closed to Feedback

It does not appear to be the case:

gdal_merge.py -ul_lr 1649235.75589 4842968.87561 1681816.74084 4808060.67746 -of GTiff -o /home/paolo/clip.tif /home/paolo/250020.tif

/home/paolo/diff.tif /home/paolo/translate.jpg

commit:1e6c0951 (SVN r15578)

#3 - 2011-03-29 09:08 AM - Giuseppe Sucameli

Replying to [comment:2 pcav]:

It does not appear to be the case: ... commit:1e6c0951 (SVN r15578)

I meant it excludes vector layers. I cannot fix it now, the string freeze is in act and we can't remove the options from the GUI (e.g. "grap pseudocolor table

from the first image")
#4 - 2011-03-29 09:38 AM - Paolo Cavallini

I think it is better to interrupt the string freeze than keeping a known, fixable bug. Opinions?

#5 - 2011-03-29 09:48 AM - Giuseppe Sucameli

Looking better, it shouldn't affect strings as I have to remove that option (and the related string), isn't it?

#6 - 2011-04-13 03:17 PM - Giuseppe Sucameli

- Resolution set to fixed

- Status changed from Feedback to Closed

Done in commit:4d3cdeca (SVN r15699), now Clipper works like the other tools by selecting the input file/layer.
